﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Kresleni
{
    public partial class MyControl : UserControl
    {
        public MyControl()
        {
            InitializeComponent();
        }

        public void addPorts ()
        {
            addPort(0.0, 0.0);
            addPort(1.0, 0.0);
            addPort(0.0, 1.0);
            addPort(1.0, 1.0);
        }

        private void addPort (double rx, double ry)
        {
            MyPort port = new MyPort();
            port.panel = this;
            port.relx = rx;
            port.rely = ry;
            port.resize = true;
            port.place();
        }

        private void button1_Click(object sender, EventArgs e)
        {

        }

        private int X0, Y0;
        private bool stisknuto;

        private void MyControl_MouseDown(object sender, MouseEventArgs e)
        {
            stisknuto = true;
            X0 = e.X;
            Y0 = e.Y;
        }

        private void MyControl_MouseMove(object sender, MouseEventArgs e)
        {
            if (stisknuto)
            {
               if (e.Button == MouseButtons.Left)
               // if ((Control.ModifierKeys & Keys.Control) == 0)
               {
                    this.Left += e.X - X0;
                    this.Top += e.Y - Y0;
                }
                else if (e.Button == MouseButtons.Right)
                // else if ((Control.ModifierKeys & Keys.Control) == Keys.Control)
                {
                    this.Width += e.X - X0;
                    this.Height += e.Y - Y0;
                    X0 = e.X;
                    Y0 = e.Y;
                }
            }
        }

        private void MyControl_MouseUp(object sender, MouseEventArgs e)
        {
            stisknuto = false;
        }

        private void loadToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() ==
                                        DialogResult.OK)
            {
                this.BackgroundImage =
                    new Bitmap(openFileDialog1.FileName);
                this.BackgroundImageLayout = ImageLayout.Zoom;
            }
        }

        private void zoomToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (BackgroundImageLayout == ImageLayout.Zoom)
               BackgroundImageLayout = ImageLayout.Stretch;
            else
               BackgroundImageLayout = ImageLayout.Zoom;
        }

        private void contextMenu_Opening(object sender, CancelEventArgs e)
        {
           zoomToolStripMenuItem.Checked =
               BackgroundImageLayout == ImageLayout.Zoom;

        }

        private void closeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Parent = null;
        }

    }
}
